#
# spec file for package xlsatoms
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xlsatoms
Version:        1.1.4
Release:        1.4
Summary:        Utility to list interned atoms defined on an X11 server
License:        X11
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xorg-macros) >= 1.3
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xlsatoms lists the interned atoms defined on an X11 server.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/xlsatoms
%{_mandir}/man1/xlsatoms.1%{?ext_man}

%changelog
* Sun Nov 13 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.4
  * gitlab CI: add a basic build test
  * gitlab CI: stop requiring Signed-off-by in commits
  * Variable scope reductions as suggested by cppcheck
  * Resolve clang -Wshorten-64-to-32 warnings
  * usage: add cold & noreturn attributes to function
* Thu Feb 21 2019 sndirsch@suse.com
-  Update to version 1.1.3
  * This release fixes issues with listing ranges of atoms, as
    well as including general janitorial maintenance.
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.1.2:
  * Combine usage message into single string/call
  * config: Add missing AC_CONFIG_SRCDIR
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Print which option was in error along with usage message
  * Add -version option to print program version
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.1.1:
  + Build and Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xlsatoms from xorg-x11. Initial version: 1.1.0.
